Modify

Opened 5 years ago

Closed 5 years ago

#11530 closed defect (othersoftware)

Exception on Toolkit thread

Reported by: naoliv Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: linux x11 javabug Cc:

Description

I am running download along and waiting some days (it's really some days #11260) and just saw this at the console:

Jun 06, 2015 8:01:14 PM sun.awt.X11.XToolkit processException
ADVERTÊNCIA: Exception on Toolkit thread
java.lang.ArrayIndexOutOfBoundsException: 85
	at sun.awt.X11.XEvent.getFieldsAsString(XEvent.java:86)
	at sun.awt.X11.XWrapperBase.toString(XWrapperBase.java:37)
	at sun.awt.X11.XEvent.toString(XEvent.java:8)
	at java.lang.String.valueOf(String.java:2847)
	at sun.util.logging.PlatformLogger$JavaLoggerProxy.doLog(PlatformLogger.java:663)
	at sun.util.logging.PlatformLogger.finer(PlatformLogger.java:424)
	at sun.awt.X11.XToolkit.run(XToolkit.java:559)
	at sun.awt.X11.XToolkit.run(XToolkit.java:505)
	at java.lang.Thread.run(Thread.java:745)

I don't know if it's some kind of problem in download along, JOSM itself (it's still running and I am still waiting) or Java.

JOSM

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2015-06-04 01:32:15
Last Changed Author: Don-vip
Revision: 8465
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2015-06-04 01:52:36 +0200 (Thu, 04 Jun 2015)
Last Changed Rev: 8465

Identification: JOSM/1.5 (8465 pt_BR) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 247 MB / 4029 MB (171 MB allocated, but free)
Java version: 1.7.0_79, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u79-2.5.5-1
VM arguments: [-Dawt.useSystemAAFontSettings=on]

Plugins:
- AddrInterpolation (30892)
- Create_grid_of_ways (30892)
- FastDraw (30892)
- FixAddresses (30892)
- OpeningHoursEditor (30962)
- PicLayer (31114)
- SimplifyArea (30962)
- buildings_tools (31120)
- download_along (30892)
- editgpx (30892)
- geotools (31068)
- graphview (30892)
- jts (31002)
- measurement (30892)
- merge-overlap (30988)
- opendata (31116)
- pdfimport (30892)
- poly (31056)
- reverter (31120)
- tagging-preset-tester (31120)
- todo (29154)
- turnrestrictions (31034)
- undelete (30892)
- utilsplugin2 (31153)

Attachments (0)

Change History (2)

comment:1 Changed 5 years ago by Don-vip

Keywords: linux x11 javabug added

comment:2 Changed 5 years ago by Don-vip

Resolution: othersoftware
Status: newclosed

It's a pure Java bug we can't do nothing except reporting the issue. I have submitted it to Oracle, it will be available here soon:
https://bugs.openjdk.java.net/browse/JI-9021590

I hope Pardeep won't close the issue without investigation like on 7813#comment:37 ...

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.